File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
http://aspose.com/file-tools
The moose likes Ant, Maven and Other Build Tools and the fly likes Doubt regarding Embedded mavne runtime in Eclipse 3.4 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Engineering » Ant, Maven and Other Build Tools
Bookmark "Doubt regarding Embedded mavne runtime in Eclipse 3.4" Watch "Doubt regarding Embedded mavne runtime in Eclipse 3.4" New topic
Author

Doubt regarding Embedded mavne runtime in Eclipse 3.4

Kaarthik Vaidiswaran
Greenhorn

Joined: Nov 07, 2000
Posts: 10
Hi

I installed Eclipse 3.4, Maven 2.1.0, and Maven Integration for Eclipse on Windows XP. Later, I installed Maven 2.0.9, updated PATH to point to Maven 2.0.9.

From Eclipse, I did a Maven build of my application by selecting Run As->Maven Package. I had problems with a plugin and got an error.

I added a new Maven runtime by selecting Windows->Preferences->Maven->Installations->Add, I gave the installation directory of Maven 2.0.9 as the new Maven runtime.

Now, I built the application by selecting RunAs->Maven package. The build was successful.

I feel that the Embedded Maven runtime that I have in Eclipse is Maven 2.1.0 and not Maven 2.0.9

Please let me know if I am correct.

Thanks
Karthik
Peter Johnson
author
Bartender

Joined: May 14, 2008
Posts: 5845
    
    7

Based on what you wrote, it should have used Maven 2.1.0.

P.S. Please change your display name to conform to the naming rules - initials are not allowed for the last name.


JBoss In Action
Kaarthik Vaidiswaran
Greenhorn

Joined: Nov 07, 2000
Posts: 10
Thanks for the reply, Peter.

Can I change the Embedded Maven runtime in Eclipse to Maven 2.0.9 from Maven 2.1.0 without reinstalling Eclipse?
Please let me know if there is a way to do so


Thanks
Karthik
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: Doubt regarding Embedded mavne runtime in Eclipse 3.4